# GitHub Repository Public Release Approval

**Project Name:** NTIA/OSM Research and Development

**Software Name:** Low Frequency / Medium Frequency (LF/MF) Propagation Model, Python Wrapper

The project identified above, which is contained within the repository this
document is stored in, has met the following criteria for public release:

1. [x] The project, including the test criteria, meets the requirements defined
in the ITS Software Development Publication Policy for making a repository public.
The major pre-established criteria for publication are listed below, and the check
mark next to each attests that the criterion has been met.
    * [x] Unit tests are available and the software has been tested against the unit tests.
    * [x] The software can be compiled and/or used on Windows, macOS, and Linux.
    * [x] The repository structure and contents follow from the ITS PropLib template, and
    all template or placeholder code has been removed.
    * [x] The repository includes the appropriate `LICENSE.md` file
2. [x] Any test data necessary for the code and its unit tests to function is included in this
GitHub repository, either directly or as a linked Git submodule.
3. [x] The README.md file has passed editorial review from the ITS Publications Office.
4. [x] The project complies with the ITS Code Style Guide or an appropriate style
guide as agreed to by the sponsor, project lead, or Supervising Division Chief.
5. [x] Approved disclaimer and licensing language has been included.

In order to complete this approval, please create a new branch, upload and commit
your version of this Markdown document to that branch, then create a pull request
for that branch. The following must login to GitHub and approve that pull request
before the pull request can be merged and this repo made public:

* Project Lead: William Kozma, Jr.
* Supervising Division Chief or Release Authority: Chris Anderson
